.cta {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding: 8px;
    width: 200px;
    height: 56px;
    text-align: center;
    line-height: 40px;
    text-transform: uppercase;
    text-decoration: none;
    font-family: 'Lato-Bold';
    font-size: .9rem;
    letter-spacing: .05rem;
    transition: all cubic-bezier(0.455, 0.03, 0.515, 0.955) .3s;

    &+.cta {
        margin-left: 24px;
        @include breakpoint(mobile) {
            margin-left: 0;
            margin-top: 24px;
        }
    }

    &.cta-ghost {
        color: $black;
        @include breakpoint(small-mobile) {
            width: 160px;
            height: 48px;
            line-height: 32px;
            font-size: .75rem;
        }

        &:before,
        &:after {
            content: '';
            position: absolute;
        }

        &:after {
            background-color: $black;
            top: 50%;
            left: 50%;
            width: 0;
            height: 0;
            transform: translate(-50%, -50%);
            transition: all cubic-bezier(0.455, 0.03, 0.515, 0.955) .3s;
            opacity: 1;
        }

        &:before {
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            border: 2px solid $black;
        }

        &:hover {
            background-color: $black;
            color: $white;

            &:after {
                padding: 10px 40px;
                opacity: 0;
            }
        }

        &.ghost-invert {
            color: $white;

            &:after {
                background-color: $white;
            }

            &:before {
                border: 2px solid $white;
            }

            &:hover {
                background-color: $white;
                color: $black;
            }
        }
        &.ghost-alt {
            color: $white;

            &:after {
                background-color: $orange;
            }

            &:before {
                border: 2px solid $orange;
            }

            &:hover {
                background-color: $orange;
            }
        }
    }

    &.cta-solid {
        color: $white;
        background-color: $black;
        @include breakpoint(small-mobile) {
            width: 160px;
            height: 48px;
            line-height: 32px;
            font-size: .75rem;
        }

        &:hover,
        &:focus {
            background-color: darken($black, 10%);
        }

        &.solid-invert {
            color: $black;
            background-color: $white;

            &:hover,
            &:focus {
                background-color: darken($white, 10%);
            }
        }
        &.solid-alt {
            color: $white;
            background-color: $orange;

            &:hover,
            &:focus {
                background-color: darken($orange, 10%);
            }
        }
    }

    &.cta-text {
        color: $black;
        font-family: 'Roboto-Bold';
        text-transform: uppercase;
        padding: 8px 24px;
    }

    &.cta-wide {
        width: 240px;
    }
}